<?php

namespace Drupal\config_export_import\Form;


use Drupal\Component\Utility\UrlHelper;
use Drupal\Core\Form\FormBase;
use Drupal\Core\Form\FormStateInterface;
use Drupal\Core\Url;

/**
 * Edit config variable form.
 */
class ConfigManualSetting extends FormBase
{

    /**
     * {@inheritdoc}
     */
    public function getFormId()
    {
        return 'config_manual_settings_form';
    }

    /**
     * {@inheritdoc}
     */
    public function buildForm(array $form, FormStateInterface $form_state, $config_name = '')
    {
        $config_settings = \Drupal::config("config_export_import.settings") ;
        $form['import'] = array(
            '#type' => 'checkbox',
            '#title' => t('Import only if new config in database'),
            '#default_value' =>  ($config_settings->get('import'))? $config_settings->get('import'): false ,
        );
        $form['export'] = array(
            '#type' => 'checkbox',
            '#title' => t('Export only if new file config in folder'),
            '#default_value' =>  ($config_settings->get('export'))? $config_settings->get('export'): false ,
        );
        $form['actions'] = ['#type' => 'actions'];
        $form['actions']['submit'] = [
            '#type' => 'submit',
            '#value' => $this->t('Save'),
        ];
        return $form;

    }



    /**
     * {@inheritdoc}
     */
    public function validateForm(array &$form, FormStateInterface $form_state)
    {
    }

    /**
     * {@inheritdoc}
     */
    public function submitForm(array &$form, FormStateInterface $form_state)
    {
        $values = $form_state->getValues();
            // saving section

        $this->configFactory()->getEditable('config_export_import.settings')
                        ->set('import', $values['import'])
                        ->set('export', $values['export'])
                        ->save();
    }

}
